Bug 227292 - Enhance Thread display with info about java.util.concurrent locks
Enhance Thread display with info about java.util.concurrent locks
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.3
All All
: P3 (vote)
: 7.4
Assigned To: Tomas Hurka
issues@profiler
: PLAN, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 13:59 UTC by Tomas Hurka
Modified: 2014-01-24 13:33 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2013-03-11 13:59:16 UTC
When using the new java.util.concurrent stuff, threads that are waiting show up
as new "Park" state in Thread panel.
Comment 1 Tomas Hurka 2013-03-11 16:47:38 UTC
Done in profiler-main

changeset:   247537:cc9f82a9bdee
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Mar 11 17:39:40 2013 +0100
summary:     issue #227292 - track parkEntry/parkExit as separate events and display them in Threads view
Comment 2 Quality Engineering 2013-03-24 21:00:59 UTC
Integrated into 'main-golden', will be available in build *201303241718* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cc9f82a9bdee
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #227292 - track parkEntry/parkExit as separate events and display them in Threads view
Comment 3 Quality Engineering 2013-08-08 02:28:21 UTC
Integrated into 'main-silver', will be available in build *201308072300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/98d8974adb0e
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #227292 - track parkEntry/parkExit as separate events and display them in Threads view


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo